<?php

/*
=====================================================
 Author: Mark Bowen
 http://www.markbowendesign.com
=====================================================
 File: pi.traverse_segments.php
-----------------------------------------------------
 Purpose: Retrieve a certain URI segment value
=====================================================
*/


$plugin_info = array(
						'pi_name'			=> 'Traverse Segments',
						'pi_version'		=> '1.0',
						'pi_author'			=> 'Mark Bowen',
						'pi_author_url'		=> 'http://www.markbowendesign.com',
						'pi_description'	=> 'Retrieve a certain URI segment value',
						'pi_usage'			=> Traverse_segments::usage()
					);


class Traverse_segments {

/** ----------------------------------------
/**  Return certain segment variable
/** ----------------------------------------*/

		function Traverse_segments()
		{
		global $TMPL, $FNS;
		$uri = $FNS->fetch_current_uri();
		$position = $TMPL->fetch_param('position');
		$segments_length="";
		$segments = explode("/", $uri);
		$tagdata = $TMPL->tagdata;
		
			foreach ($segments as $value)
			{
			$segments_length++;
			}
		
		$segments_length = $segments_length-2;
		$value = $segments[$segments_length-$position];
		if ($value == '')
		{
		return '';
		} else {
		$tagdata = $TMPL->swap_var_single('segment', $value, $tagdata);
		$this->return_data = $tagdata;
		}

	}



// ----------------------------------------
//  Plugin Usage
// ----------------------------------------

// This function describes how the plugin is used.
// Make sure and use output buffering

function usage()
{
ob_start();
?>

Very simple plugin to retrieve the value of a certain specified segment variable
working from the end of the current URI to the beginning.

{exp:traverse_segments position="0"}
{segment}
{if '{segment}' == "test"}
YAY
{/if}
{/exp:traverse_segments}

Parameters :

position="0"
This will retrieve the last segment

position="1"
This would retrieve the last but one segment and so on and so forth!

Variables :
{segment}
Returns the value of the requested segment

Possibilities :
{if '{segment}' == "tests"}
<p>Segment was the same!!</p>
{/if}

If the segment you had requested was in this case equal to tests then the message would be returned


<?php
$buffer = ob_get_contents();

ob_end_clean();

return $buffer;
}
/* END */


}
// END CLASS
?>